<?php
/**
 * Cheese Helper class file.
 *
 * A general purpose helper class specific to cheeseCake Photoblog
 * Right now just links properly to the photos in webroot ignoring the
 * $themeWeb
 *
 * @copyright Dr. Tarique Sani, tarique@sanisoft.com
 * @license http://opensource.org/licenses/gpl-license.php GNU General Public License V2
 * @package cheeseCake
 * @version $Id: cheese.php 44 2006-07-03 15:50:10Z tariquesani $
 */
 class CheeseHelper extends Helper
{

    var $helpers = array('Html');

	/**
	 * Function to return path of the image in the main webroot rather than the themeWeb
	 *
	 */
	function image($path, $htmlAttributes = null, $return = false) {
 		$url = $this->webroot . IMAGES_URL . $path;
		return $this->output(sprintf($this->Html->tags['image'], $url, $this->Html->parseHtmlOptions($htmlAttributes, null, '', ' ')), $return);
	}

}
?>
